Bug 226927 - [PATCH] security/trousers: libressl 2.7 build failure
Summary: [PATCH] security/trousers: libressl 2.7 build failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bernard Spil
URL: https://sourceforge.net/p/trousers/bu...
Keywords:
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-03-25 21:02 UTC by Charlie Li
Modified: 2018-04-21 21:12 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (hrs)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie Li 2018-03-25 21:02:57 UTC
security/libressl-devel features the new LibreSSL 2.7, which introduced compatibility with most of OpenSSL 1.1 and 1.0.2 APIs. Consequently, the patch as it stands in this port fails to detect such and treats all LibreSSL as OpenSSL < 1.1.

This updated patch fixes the build. Throwing it up in Phabricator shortly.
Comment 1 Charlie Li 2018-03-25 21:07:33 UTC
Forgot to mention, testport succeeds with all supported values of ssl= in DEFAULT_VERSIONS.
Comment 2 Bernard Spil freebsd_committer 2018-04-02 18:05:57 UTC
Add link to upstream bug report https://sourceforge.net/p/trousers/bugs/222/
Comment 3 Bernard Spil freebsd_committer 2018-04-21 21:12:18 UTC
A commit references this bug:

Author: brnrd
Date: Sat Apr 21 20:38:38 UTC 2018
New revision: 467906
URL: https://svnweb.freebsd.org/changeset/ports/467906

Log:
  security/trousers: Fix build with LibreSSl 2.7

   - LibreSSL 2.7 adds OpenSSL 1.1 API

  PR:           227169
  Approved by:  maintainer time-out

Changes:
  head/security/trousers/files/patch-src_trspi_crypto_openssl_rsa.c